# H323PresenceHandler Class Reference

`#include <h460p.h>`

## Public Types

| e_Status
| e_Instruct
| e_Authorize
| e_Notify
| e_Request
| e_Response
| e_Alive
| e_Remove
| e_Alert
enum | MsgType { e_Status, e_Instruct, e_Authorize, e_Notify, e_Request, e_Response, e_Alive, e_Remove, e_Alert }

## Public Member Functions

bool | ReceivedPDU (const H225_EndpointIdentifier *id, const PASN_OctetString &pdu)
virtual void | OnNotification (MsgType, const H225_EndpointIdentifier *, const H460P_PresenceNotification &)
virtual void | OnSubscription (MsgType, const H225_EndpointIdentifier *, const H460P_PresenceSubscription &)
virtual void | OnInstructions (MsgType, const H225_EndpointIdentifier *, const H460P_ArrayOf_PresenceInstruction &)
virtual void | OnIdentifiers (MsgType, const H460P_ArrayOf_PresenceIdentifier &)
H460P_PresenceStatus & | BuildStatus (H460P_PresenceMessage &msg, const H323PresenceNotifications &notify, const H323PresenceInstructions &inst)
H460P_PresenceInstruct & | BuildInstruct (H460P_PresenceMessage &msg, const H323PresenceInstructions &inst)
H460P_PresenceAuthorize & | BuildAuthorize (H460P_PresenceMessage &msg, const H323PresenceSubscriptions &subs)
H460P_PresenceNotify & | BuildNotify (H460P_PresenceMessage &msg, const H323PresenceNotifications &notify)
H460P_PresenceRequest & | BuildRequest (H460P_PresenceMessage &msg, const H323PresenceSubscriptions &subs)
H460P_PresenceResponse & | BuildResponse (H460P_PresenceMessage &msg, const H323PresenceSubscriptions &subs)
H460P_PresenceAlive & | BuildAlive (H460P_PresenceMessage &msg, const H323PresenceIdentifiers &id)
H460P_PresenceRemove & | BuildRemove (H460P_PresenceMessage &msg, const H323PresenceIdentifiers &id)
H460P_PresenceAlert & | BuildAlert (H460P_PresenceMessage &msg, const H323PresenceNotifications &notify)

## Member Enumeration Documentation

enum H323PresenceHandler::MsgType

Enumerator:

  e_Status |
  e_Instruct |
  e_Authorize |
  e_Notify |
  e_Request |
  e_Response |
  e_Alive |
  e_Remove |
  e_Alert |

## Member Function Documentation

H460P_PresenceAlert& H323PresenceHandler::BuildAlert | ( | H460P_PresenceMessage & | msg,
|  | const H323PresenceNotifications & | notify |
| ) |  |  |

H460P_PresenceAlive& H323PresenceHandler::BuildAlive | ( | H460P_PresenceMessage & | msg,
|  | const H323PresenceIdentifiers & | id |
| ) |  |  |

H460P_PresenceAuthorize& H323PresenceHandler::BuildAuthorize | ( | H460P_PresenceMessage & | msg,
|  | const H323PresenceSubscriptions & | subs |
| ) |  |  |

H460P_PresenceInstruct& H323PresenceHandler::BuildInstruct | ( | H460P_PresenceMessage & | msg,
|  | const H323PresenceInstructions & | inst |
| ) |  |  |

H460P_PresenceNotify& H323PresenceHandler::BuildNotify | ( | H460P_PresenceMessage & | msg,
|  | const H323PresenceNotifications & | notify |
| ) |  |  |

H460P_PresenceRemove& H323PresenceHandler::BuildRemove | ( | H460P_PresenceMessage & | msg,
|  | const H323PresenceIdentifiers & | id |
| ) |  |  |

H460P_PresenceRequest& H323PresenceHandler::BuildRequest | ( | H460P_PresenceMessage & | msg,
|  | const H323PresenceSubscriptions & | subs |
| ) |  |  |

H460P_PresenceResponse& H323PresenceHandler::BuildResponse | ( | H460P_PresenceMessage & | msg,
|  | const H323PresenceSubscriptions & | subs |
| ) |  |  |

H460P_PresenceStatus& H323PresenceHandler::BuildStatus | ( | H460P_PresenceMessage & | msg,
|  | const H323PresenceNotifications & | notify,
|  | const H323PresenceInstructions & | inst |
| ) |  |  |

virtual void H323PresenceHandler::OnIdentifiers | ( | MsgType | ,
|  | const H460P_ArrayOf_PresenceIdentifier & |  |
| ) |  |  | `[inline, virtual]`

virtual void H323PresenceHandler::OnInstructions | ( | MsgType | ,
|  | const H225_EndpointIdentifier * | ,
|  | const H460P_ArrayOf_PresenceInstruction & |  |
| ) |  |  | `[inline, virtual]`

virtual void H323PresenceHandler::OnNotification | ( | MsgType | ,
|  | const H225_EndpointIdentifier * | ,
|  | const H460P_PresenceNotification & |  |
| ) |  |  | `[inline, virtual]`

virtual void H323PresenceHandler::OnSubscription | ( | MsgType | ,
|  | const H225_EndpointIdentifier * | ,
|  | const H460P_PresenceSubscription & |  |
| ) |  |  | `[inline, virtual]`

bool H323PresenceHandler::ReceivedPDU | ( | const H225_EndpointIdentifier * | id,
|  | const PASN_OctetString & | pdu |
| ) |  |  |

The documentation for this class was generated from the following file:

- h460p.h